package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

public class OrderRecipeDishesDto {
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品单价")
   private Integer price;
   @ApiModelProperty("菜品价格(优惠价)")
   private Integer salePrice;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("称重单位多少克(默认1kg)")
   private Integer unitPrice;
   @ApiModelProperty("菜品图片url")
   private String imageUrl;
   @ApiModelProperty("菜品规格")
   private Long sizeType;

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }

}
